Bug 741377 (CVE-2011-3699) - CVE-2011-3699 php-adodb: installation path disclosure via a direct request to a .php file
Summary: CVE-2011-3699 php-adodb: installation path disclosure via a direct request to...
Keywords:
Status: CLOSED NOTABUG
Alias: CVE-2011-3699
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=low,public=20110130,reported=2...
Depends On: 741378 741379
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-26 17:38 UTC by Vincent Danen
Modified: 2019-06-08 18:55 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-09-26 21:42:15 UTC


Attachments (Terms of Use)

Description Vincent Danen 2011-09-26 17:38:27 UTC
Common Vulnerabilities and Exposures assigned an identifier CVE-2011-3699 to
the following vulnerability:

Name: CVE-2011-3699
URL: http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2011-3699
Assigned: 20110923
Reference: http://www.openwall.com/lists/oss-security/2011/06/27/6
Reference: http://code.google.com/p/inspathx/source/browse/trunk/paths_vuln/%21_README
Reference: http://code.google.com/p/inspathx/source/browse/trunk/paths_vuln/adodb

John Lim ADOdb Library for PHP 5.11 allows remote attackers to obtain
sensitive information via a direct request to a .php file, which
reveals the installation path in an error message, as demonstrated by
tests/test-active-record.php and certain other files.

Comment 1 Vincent Danen 2011-09-26 17:39:28 UTC
Created php-adodb tracking bugs for this issue

Affects: fedora-all [bug 741378]
Affects: epel-all [bug 741379]

Comment 2 Gianluca Sforna 2011-09-26 18:00:14 UTC
I am sorry but I need to ask: how an attacker is going to access those files? they are not in the webroot so I can't really see how you can request them directly.

Am I missing something?

Comment 3 Vincent Danen 2011-09-26 20:28:11 UTC
So the Fedora installation takes care not to install them to the webroot?  If that is the case, then likely we do not need to address this.  Do you know if any other files expose the path information like that file does?

(Sorry, I did not have a chance to look too closely, there were 120+ CVEs assigned for this kind of flaw)

Comment 4 Gianluca Sforna 2011-09-26 21:08:34 UTC
Yes, I just double checked and all php files in the package (including tests ) ends up in /usr/share/php/adodb which is not under the web root.

It is still probably a good idea to remove the test files from the main package, I'll probably do it in the next update

Comment 5 Vincent Danen 2011-09-26 21:42:15 UTC
Great, thanks for checking.  I'll close these bugs as NOTABUG then.


Note You need to log in before you can comment on or make changes to this bug.